class Button {
  int x, y; // The x- and y-coordinates
  int size; // Dimension (width and height)
  boolean over = false; // True when the mouse is over
  boolean checked = false;
  int me;
  Button[] others; // Array of all other Radio objects

  Button(int xp, int yp, int s, int m, Button[] o) {
    x = xp;
    y = yp;
    size = s;
    me = m;
    others = o;    
  }
  
  // Updates the over field every frame
  void update() {
    if ((mouseX >= x) && (mouseX <= x + size+70) &&
        (mouseY >= y) && (mouseY <= y + size)) {
      over = true;     
    } else {
      over = false;
    }
  }

  boolean press() {
    if (over == true) {
     // pressed = true;
      checked = true;
      for (int i = 0; i < others.length; i++) {
        if (i != me) {
          others[i].checked = false;
          }
        }
      return true;
    } else {
      return false;
    }
  }

   void display() {
     smooth(); 
     strokeWeight(2);
     rectMode(CORNER);
     //strokeJoin(ROUND);
    noFill();     
     if (checked == true) {
        stroke (204,0,106);
    fill (204,0,106);      
   } else if (over == true) {
stroke(180,180,180);
     fill(180,180,180);
   } else {
     stroke (255);
     fill(180,180,180);
   //  cursor (HAND);
    }
   noFill(); 
     rect(x, y, size+102, size+3);
  }
}

