//-----------------------
// imap interface v3
//-----------------------
// A Project from Elli Scambor, Fränk Zimmer, Heimo Ranzenbacher
// Graz/Austria 2008
// copyright Scambor, Zimmer, Ranzenbacher



import java.awt.event.*;

PFont font, font0, font1, font2, font3, font4, font5;


Button[] Geschlecht = new Button[3];
Button[] Alter = new Button[5];
Button[] Migration = new Button[4];
Button[] Bildung = new Button[4];
Button[] Einkommen = new Button[5];
Button[] Sprache = new Button[2];

int virtuell =0;
// Für Filter
int geschlecht = 0;
int age = 0;
int minage = 0;
int maxage = 1000;
int migration = 0;
int minmigration = 0;
int maxmigration = 3;
int education = 0;
int mineducation = 0;
int maxeducation = 1000;
int income = 0;
float minincome = -1;
float maxincome = 1000;

int info = 0;
int sprache =0;

// Für Eingabefeld
String typing = "";
Boolean edit = false;

//grav rect
float stiffness = 2.0;
float damping = 0.3;
float velocity = 0.1;
float targetY;
float y;
//----------


int help;
//Fade
//int opacity = 0;
//int direction = 1;

Viewer viewer;


//---------------------------------------------------------------

void setup() {
 size(1024, 768);
 font0 = loadFont("AlMateen-Bold-9.vlw");
 font1 = loadFont("Verdana-10.vlw");
 font2 = loadFont("Verdana-Bold-10.vlw");
 font3 = loadFont("Verdana-Bold-12.vlw");
 font4 = loadFont("Verdana-Bold-22.vlw");
 font5 = loadFont("Verdana-Bold-14.vlw");


  frame.addMouseWheelListener(new MouseWheelInput());
  
  // Definition der Buttons ----Inputs: x, y, size,
  Geschlecht [0] = new Button(314, 653, 15, 0, Geschlecht);
  Geschlecht [1] = new Button(314, 673, 15, 1, Geschlecht);
  Geschlecht [2] = new Button(314, 693, 15, 2, Geschlecht);
  Alter [0] = new Button(459, 653, 15, 0, Alter);
  Alter [1] = new Button(459, 673, 15, 1, Alter);
  Alter [2] = new Button(459, 693, 15, 2, Alter);
  Alter [3] = new Button(459, 713, 15, 3, Alter);
  Alter [4] = new Button(459, 733, 15, 4, Alter);
  Migration [0] = new Button(604, 653, 15, 0, Migration);
  Migration [1] = new Button(604, 673, 15, 1, Migration);
  Migration [2] = new Button(604, 693, 15, 2, Migration);
  Migration [3] = new Button(604, 713, 15, 3, Migration);
  Bildung [0] = new Button(749, 653, 15, 0, Bildung);
  Bildung [1] = new Button(749, 673, 15, 1, Bildung);
  Bildung [2] = new Button(749, 693, 15, 2, Bildung);
  Bildung [3] = new Button(749, 713, 15, 3, Bildung);
  Einkommen [0] = new Button(894, 653, 15, 0, Einkommen);
  Einkommen [1] = new Button(894, 673, 15, 1, Einkommen);
  Einkommen [2] = new Button(894, 693, 15, 2, Einkommen);
  Einkommen [3] = new Button(894, 713, 15, 3, Einkommen);
  Einkommen [4] = new Button(894, 733, 15, 4, Einkommen);
 //Sprache [0] = new Button(40, 670, 10, 0, Sprache);
 // Sprache [1] = new Button(40, 690, 10, 1, Sprache);   
  
  // Viewer mit Kartengrösse initialisieren
  viewer = new Viewer(0,0,1024,768);
  viewer.filter(geschlecht,minage,maxage,minmigration,maxmigration,mineducation,maxeducation,minincome,maxincome);
}

//----------------------------------------------------------------

void draw() {
 background(255);
 smooth();
 viewer.draw();
 viewer.drawPointInfo(10,10,sprache);


//-----------------------------------------------------------------------
// ROLLOVER-TEXTE
//-----------------------------------------------------------------------
 
 //MIGRATION - TEXT
 if (mouseX > 600 && mouseX < 730 && mouseY > 600 && mouseY < 800 ) {
 fill(0,102,153,180);
 rect(0,200, 1500, 250);
 fill(255);
 textFont(font4);
 if (sprache == 0)
 {
 text("MIGRATION", 40, 230);
 textFont(font5);
 text("Filtern Sie nach Migration.",40,260);
 text("Alle: Alle StaatsbürgerInnen",40, 285);
 text("Österreich: Österreichische StaatsbürgerInnen in der ersten und zweiten Generation.",40, 310);
 text("EU: EU-StaatsbürgerInnen (ohne Österreich) in der ersten und zweiten Generation.",40,335);
 text("Nicht-EU: Nicht-EU-StaatsbürgerInnen in der ersten und zweiten Generation.",40,360); 
 } 
 else if ( sprache == 1 )                  // english
 {
text("MIGRATION", 40, 230);
 textFont(font5);
 text("Select citizens.",40,260);
 text("All: Select all citizens.",40,285);
 text("Austria: Austrian citizens; first and second generation",40, 310);
 text("EU: Citizens of the European Union member states (no A); first and second generation",40, 335);
 text("N-EU: Citizens of countries outside the European Union member states; first and second generation",40,360);
 }
 }
 
 //BILDUNG - TEXT
 if (mouseX > 745 && mouseX < 880 && mouseY > 600 && mouseY < 800 ) {
 fill(0,102,153,180);
 rect(0,200, 1500, 250);
 fill(255);
 textFont(font4);
  if (sprache == 0)
 {
 text("BILDUNG", 40, 230);
 textFont(font5);
 text("Filtern Sie nach Bildung.",40,260);
 text("Alle: Alle Bildungsgruppen",40, 285);
 text("Hoch: Fachhochschule, Kollege, Akademie, Universität",40, 310);
 text("Mittel:Lehrabschluss, Allgemeinbildung und Berufsbildung mit und ohne Matura",40,335);
 text("Niedrig: Volksschule, Hauptschule",40,360); 
 textFont(font2);
 text("Die Bildungskategorien wurden den ISCED-Levels (International Standard Classification of Education) angepasst.",40,385); 
 }  else if ( sprache == 1 )                  // english
 {
 text("Education", 40, 230);
 textFont(font5);
 text("Select levels of education.",40,260);
 text("All: Select all levels of education.",40, 285);
 text("High: Tertiary education first stage and second stage.",40, 310);
 text("Middle: Secondary education first stage, second stage and post secondary education.",40,335);
 text("Low: Primary education.",40,360); 
 textFont(font2);
 text("The levels of education were developed according to the International Standard Classification of Education (ISCED).",40,410);
 }
 }
 
 
//EINKOMMEN - TEXT
 if (mouseX > 890 && mouseX < 970 && mouseY > 600 && mouseY < 800 ) {
 fill(0,102,153,180);
 rect(0,200, 1500, 250);
 fill(255);
 textFont(font4);
   if (sprache == 0)
 {
 text("EINKOMMEN", 40, 230);
 textFont(font5);
 text("Filtern Sie nach Einkommen:",40,260);
 text("Alle: alle Einkommensgruppen.",40, 285);
 text("Hoch: Über der dreifachen Armutsgefährdungsschwelle",40, 310);
 text("Mittel: Doppelte bis dreifache Armutsgefährdungsschwelle",40,335);
 text("Niedrig: An der Armutsgefährdungsschwelle bis doppelte Armutsgefährdungsschwelle",40,360); 
 text("Sehr niedrig: Unter der Armutsgefährdungsschwelle",40,385); 
 textFont(font2);
 text("Das verfügbare monatliche Netto-Haushalteinkommen (inkl. 13. + 14. Monatsgehalt, Familienbeihilfe, Kinderbetreuungsgeld und andere Transferzahlungen)",40,410);
 text("wird mit der Armutsgefährungsschwelle in Bezug gesetzt. Diese beträgt im Jahr 2008 für einen Einpersonen-Haushalt 926 Euro (wertangepasst) ", 40,430); 
 } else if ( sprache == 1 )                  // english
 { 
 textFont(font4);
 text("INCOME", 40, 230);
 textFont(font5);
 text("Select levels of income.",40,260);
 text("All: select all levels of income",40, 285);
 text("High: More than three times At-Risk-of-Poverty-Threshold (AROPT)",40, 310);
 text("Middle: Double to three times AROPT",40,335);
 text("Low: From AROPT to double AROPT",40,360); 
 text("Very low income: Under AROPT",40,385); 
 textFont(font2);
 text("The disposable net household income (including transfer payments, e.g. family allowance, childcare benefit, and similar) is related to AROPT",40,410);
 text("The AROPT is approx. € 926,-- for a single person household in 2008 (basis: inflation-adjusted AROPT of 2006 ", 40,430);  
 }
 }
 
 // INFO-TEXT
 if (info==1 ) {   
 fill(0,102,153,200);
 rect(0,180, 1500, 500);
 fill(255);
 textFont(font4);
   if (sprache == 0)
 {
 text("intersectional map/graz08", 40, 210);
 textFont(font5);
 text("Geschlecht, Ethnie, Milieu und Alter als Achsen der Ungleichheit einer Stadt ",40,230);
 text("Elli Scambor, Fränk Zimmer und Heimo Ranzenbacher",40, 250);
 textFont(font3);
 text("Die intersectional map /graz08 bewegt sich an der Schnittstelle von Wissenschaft und Kunst. ",40, 280);
 text("Die Kategorien Geschlecht, Migration, Milieu und Alter stehen im Fokus einer soziologischen Studie, die typische Alltagswege",40,305);
 text("und Orte von 1650 StadtbewohnerInnen erfasst. Daraus wurde ein virtueller Stadtplan entwickelt. Das Projekt konzentriert",40,320); 
 text("sich auf die Frage, wie eine Stadt im Handeln ihrer BewohnerInnen entsteht. Die Diversität der Lebensumstände unterschiedlicher",40,335); 
 text("Bevölkerungsgruppen bildet dabei ein wesentliches Prinzip der Strukturierung.",40,350);
 text("Vier mobile Medieninstallationen machen die Studie im öffentlichen Raum sichtbar und hörbar.", 40, 370);
 text("An Schaufenstern und Terminals sind Kameras angebracht, die Schnappschüsse der BenutzerInnen der Installationen machen.", 40, 385); 
 text("Die 4 Medieninstallationen sind untereinander vernetzt. Am oberen Rand der Bildschirme zeigt eine Bildleiste, wo und von ",40, 400); 
 text("welchen Personen die Installationen benutzt werden. Der Gebrauch der Installationen erzeugt einen neuen Ort im virtuellen Stadtplan. ",40,415);
 text("In Analogie zum Gebrauch des realen städtischen Gefüges wird auch bei der Installation die Alltagswertigkeit eines Ortes durch ", 40,430); 
 text("den Gebrauch des Ortes bestimmt.", 40,445);
 text("Durchführende Organisation: Forschung Männerberatung Graz in Kooperation mit GenderWerkstätte, Liquid Music und mur.at.", 40,465);
 text("Gefördert durch: Kultur Steiermark |BMUKK |BMWF |Graz Stadt Wissenschaft.", 40,480);
 text("Standorte der ersten 4 Installationen (November 2008 - Dezember 2008): Grazer Stadtwerke, Andreas-Hofer-Platz 15,", 40, 500);
 text("Shopping Nord, Wiener Straße 351 |Stadtbibliothek Graz West, Eggenberger Allee 13a |tag-werk Caritas, Mariahilferstraße 13.", 40,515); 
 text("http://intersectional-map.mur.at", 40,535); 
 }   else if ( sprache == 1 )   
 {
 text("intersectional map/graz08", 40, 210);
 textFont(font5);
 text("Gender, ethnicity, class and age as axes of inequality in a city",40,230);
 text("Elli Scambor, Fränk Zimmer and Heimo Ranzenbacher",40, 250);
 textFont(font3);
 text("Intersectional map /graz08 is an interdisciplinary science & art project.",40, 280);
 text("It focuses on gender, ethnicity, age and class as axes of inequality in the structure of urban spaces. ",40,305);
 text("A questionnaire survey, carried out in the city of Graz, concentrated on daily ways and locations of 1650 inhabitants.",40,320); 
 text("The relationships among multiple dimensions itself is an important category of analysis.",40,335); 
 text("The creation of urban spaces as intersectional spaces will be illustrated on the basis of a scientific motion study.",40,350); 
 text("Four mobile media installations in public spaces act as instruments to navigate through the intersectional map.",40,370);
 text("At shop windows cameras are affixed, they do snapshots of the users of the installations.The four media installations", 40,385); 
 text("are networked with each other. On the upper part of the screen a picture bar displays people using the installations. ", 40,400); 
 text("The use of the installations produces a new location in the virtual map. In analogy to the use of the real urban",40,415); 
 text("areas by citizens, the everyday value of a location in the virtual map is determined by the intensity ot its use.",40,430);
 text("Executive Organisation: Research Institute at Men's Counseling Center Graz, cooperation with GenderWerkstätte, Liquid Music, mur.at.", 40,450); 
 text("Supported by: Kultur Steiermark |BMUKK |BMWF |Graz Stadt Wissenschaft.", 40,465); 
 text("Locations of the first series of installations (November 2008 - Dezember 2008): Grazer Stadtwerke, Andreas-Hofer-Platz 15,", 40,485);
 text("Shopping Nord, Wiener Straße 351 | Stadtbibliothek Graz West, Eggenberger Allee 13a, tag-werk Caritas, Mariahilferstraße 13.", 40,500);
 text("http://intersectional-map.mur.at", 40,520); 
 
  }
}
    
  // IHELP-TEXT
 if (  info== 2) {   
 fill(0,0,0,150);
 rect(0,180, 1500, 500);
 fill(255);
textFont(font4); 
 if (sprache == 0)
 {
 text("help", 20, 210);

 textFont(font3);
 text("Marker sind Personen. Die Symbole sind unterschiedlichen Personengruppen zugewiesen: ",40,250);
//Legende
//Frauen
strokeWeight(1);
stroke(180,216,0,255);
fill(180,216,0,120);
rect(40,260,10,10);
text("Frauen(A)",70,270);
text("Frauen(EU)",70,295);
text("Frauen(N-EU)",70,320);
triangle(40,295,45,280,50,295);
quad(40, 318, 45,326,50,318,45,310);

//Männer
stroke(0,178,235,255); 
fill(0,178,235,120);
rect(170,260,10,10);
text("Männer(A)", 200,270);
text("Männer(EU)", 200, 295);
text("Männer(N-EU)", 200, 320);
triangle(170,295,175,280,180,295);
quad(170, 318, 175,326,180,318,175,310);

fill(255);
 text("Die Bewegung der Marker folgt den alltäglichen Wegen der befragten Personen. Die Marker vergrößen sich an Orten,",40,350);
 text("die von den befragten Personen alltäglich aufgesucht werden; = Pulsieren am Ort.",40,365);
 text("Die Personenfrequenz an Orten wird durch die Größe der Punkte dargestellt. Das Farbkontinuum kennzeichnet",40,400);
 text("die Heterogenität der Orte. Dunkle Farben symbolisieren hohe Werte und damit eine hohe Diversität der Personen am Ort.",40,415);
 text("Niedrige Werte verweisen auf geringe Unterschiede zwischen Personen. Die Auswahl eines Ortes öffnet die dazugehörende ",40,430);
 text("Legende am linken Bildrand. In der Legende sind folgende Werte angegeben:", 40, 445);
 text("Heterogenitätswert von 0 - 100, Personenfrequenz in absoluten Zahlen" , 40, 460);
 text("Prozentuale Angaben zu Geschlecht, Migration, Alter, Bildung und Einkommen.",40,475);
 text("Sobald ein Ort ausgewählt wird, bewegen sich Marker darauf zu. Es handelt sich dabei um Personen, die diesen Ort alltäglich aufsuchen.", 40,490); 
  text("Mithilfe der Filterfunktion kann die alltägliche Nutzung der Stadt durch ausgewählte Personengruppen visualisiert werden.",40,525); 
 text("Mithilfe der 4 Pfeiltasten kann die Karte bewegt werden und ein Ort markiert werden, um mehr über ihn zu erfahren.",40,560); 
 text("Mithilfe der Lupe kann die Karte gezoomt werden.",40,575);
 fill(177,0,93);
  textFont(font5);
 text("Symbole",40,230);
 text("Orte",40,385);
 text("Filter",40,510); 
  text("Navigation",40,545); 
 
 } else if ( sprache == 1 )   
 
{ 
 text("help", 20, 210);
textFont(font3);
 text("Marker are people. Every single marker is a person. The symbols are assigned to different population groups:",40,250);
//Women
strokeWeight(1);
stroke(180,216,0,255);
fill(180,216,0,120);
rect(40,260,10,10);
text("Women(A)",70,270);
text("Women(EU)",70,295);
text("Women(N-EU)",70,320);
triangle(40,295,45,280,50,295);
quad(40, 318, 45,326,50,318,45,310);
//Men
stroke(0,178,235,255); 
fill(0,178,235,120);
rect(170,260,10,10);
text("Men(A)", 200,270);
text("Men(EU)", 200, 295);
text("Men(N-EU)", 200, 320);
triangle(170,295,175,280,180,295);
quad(170, 318, 175,326,180,318,175,310);

fill(255);
 text("The movement of the marker follows daily ways of the survey respondents. The markers enlarge at locations",40,350);
 text("which were frequented by survey respondents; = pulsation.",40,365);
 text("Number of people is size of the spots. The colour continuum characterizes heterogeneity of locations.",40,400);
 text("Dark colours symbolize high values, which means high diversity of people in selected locations.",40,415);
 text("Low values refer to low diversity of people at selected locations. ",40,430);
 text("Indicated value for heterogeneity on a continuum from 0 - 100", 40, 445);
 text("Number of people at location." , 40, 460);
 text("Percentage for gender, age, migration, education and income.",40,475);
 text("When a location is selected, marker/people who frequented the location move to this place.", 40,490); 
  text("Daily ways and locations of the survey respondents can be visualized through filter button.",40,525); 
 text("By dint of 4 arrow keys, tha map can be moved and locations can be marked, if further information is expected.",40,560); 
 text("Zoom into the map by zoom lens.",40,575);
 fill(177,0,93);
  textFont(font5);
 text("Symbols",40,230);
 text("Locations",40,385);
 text("Filter",40,510); 
  text("Navigation",40,545); 

}
}
  

  
// --------Rahmen für Buttons-Auswahl----------------
  noFill();
//stroke(206,206,206);
//fill(0,102,153);
  stroke(0,102,153);
  strokeWeight(6);
  strokeJoin(ROUND);
  fill(255,255,255);
  rect (310, 630, 125, 150); // Geschlecht
  rect (455, 630, 125, 150); // Alter
  rect (600, 630, 125, 150); // Migration
  rect (745, 630, 125, 150); // Bildung
  rect (890, 630, 125, 150); // Einkommen
  
  strokeWeight(20);
  rect (897, 625, 111, 10); // Einkommen +
  rect (752, 625, 111, 10); // Bildung +
  rect (607, 625, 111, 10); // Migration +
  rect (462, 625, 111, 10); // Alter +
  rect (317, 625, 111, 10); // Geschlecht +
  
   strokeWeight(6);
 
  //--------Titel-imap---------------------------------------
   fill(177,0,93);
  textFont(font5);
  text("intersectional map /graz",800, 30);
fill(0,102,153);
    textFont(font2);
   text("press: i=info  h=help  l=language", 800,50);
   text("press ESC to quit the applet", 800,70);
   
  

  //--------Buttongruppe-Texte-------------------------------
   fill(255,255,255);
  textFont(font2);
  if (sprache == 0)  {
  text("GESCHLECHT", 325, 635);
  text("ALTER", 470, 635);
  text("MIGRATION", 615, 635);
  text("BILDUNG", 760, 635);
  text("EINKOMMEN", 905, 635);
 // text("INFOS - DETAILS", 1160, 613);
 }  else if ( sprache == 1 )  {
  text("SEX", 325, 632);
  text("AGE", 470, 635);
  text("MIGRATION", 615, 635);
  text("EDUCATION", 760, 635);
  text("INCOME", 905, 635);
 }

 
  //--------Button aktiv/deaktiv plus Texte-------------------------------
  noFill();
  fill(77,77,77);
  textFont(font2);
  if (sprache == 0)  {
     text("Alle", 325, 664);
     text("Frauen", 325, 684);
       text("Männer", 325, 704);
        text("Alle", 470, 667);
        text("10-19 Jahre", 470, 687);
         text("20-39 Jahre", 470, 707);
         text("40-59 Jahre", 470, 727);
           text("> 60 Jahre", 470, 747);
            text("Alle", 615, 667);
              text("Österreich", 615, 687);
              text("EU", 615, 707);
              text("Nicht-EU", 615, 727);
                text("Alle", 760, 667);
                text("Hoch", 760, 687);
                text("Mittel", 760, 707);
                text("Niedrig", 760, 727);
                text("Alle", 905, 667);  
                text("Hoch", 905, 687);
                text("Mittel", 905, 707);
                  text("Niedrig", 905, 727);
                  text("Sehr niedrig", 905, 747);
                    }   
                    else if ( sprache == 1 )   {
                    text("all", 325, 667);
                    text("women", 325, 687);
                    text("men", 325, 707);
                    text("all", 470, 667);
                    text("10-19 years", 470, 687);
                    text("20-39 years", 470, 707);
                    text("40-59 years", 470, 727);
                    text("> 60 years", 470, 747);
                    text("all", 615, 667);
                    text("Austria", 615, 687);
                    text("EU", 615, 707);
                    text("Non-EU", 615, 727);
                    text("all", 760, 667);
                    text("high", 760, 687);
                    text("middle", 760, 707);
                    text("low", 760, 727);
                    text("all", 905, 667);  
                    text("high", 905, 687);
                    text("middle", 905, 707);
                    text("low", 905, 727);
                    text("very low", 905, 747);                
   }
   

  //--------Buttons Geschlecht
  Geschlecht[0].update();
  Geschlecht[0].display();
 
  Geschlecht[1].update();
  Geschlecht[1].display();
  
  Geschlecht[2].update();
  Geschlecht[2].display();


  //--------Buttons Alter
  Alter[0].update();
  Alter[0].display();
 
  Alter[1].update();
  Alter[1].display();
 
  Alter[2].update();
  Alter[2].display();
 
  Alter[3].update();
  Alter[3].display();
  
  Alter[4].update();
  Alter[4].display();


  //--------Buttons Migration
  Migration[0].update();
  Migration[0].display();
 
  Migration[1].update();
  Migration[1].display();

  Migration[2].update();
  Migration[2].display();

  Migration[3].update();
  Migration[3].display();


  //--------Buttons Bildung
  Bildung[0].update();
  Bildung[0].display();

  Bildung[1].update();
  Bildung[1].display();

  Bildung[2].update();
  Bildung[2].display();

  Bildung[3].update();
  Bildung[3].display();


  //--------Buttons Einkommen

  Einkommen[0].update();
  Einkommen[0].display();

  Einkommen[1].update();
  Einkommen[1].display();

  Einkommen[2].update();
  Einkommen[2].display();
  
  Einkommen[3].update();
  Einkommen[3].display();

  Einkommen[4].update();
  Einkommen[4].display();

 
  
  /*
  //--------Buttons Sprache   
 Sprache[0].update();
 Sprache[0].display();
text("deutsch",40,660);
 Sprache[1].update();
 Sprache[1].display();
text("english", 40,680);
*/

}

//-----------------------------------------------------------------
void mousePressed() {

  // println("mousePressed()");
  if (Geschlecht[0].press())
  {
    println("0");
    geschlecht = 0;
  }
  if (Geschlecht[1].press())
  {
    println("2");
    geschlecht = 2;
  }
  if (Geschlecht[2].press())
  {
    println("1");
    geschlecht = 1;
  }

  if (Alter[0].press())
  {
    minage=0;
    maxage=1000;
  }
  if (Alter[1].press())
  {
    minage=0;
    maxage=19;
  }
  if (Alter[2].press())
  {
    minage=20;
    maxage=39;
  }
  if (Alter[3].press())
  {
    minage=40;
    maxage=59;
  }
  if (Alter[4].press())
  {
    minage=60;
    maxage=1000;
  }
  
  if (Migration[0].press())
  {
    minmigration = 0;
    maxmigration = 3;
  }
  if (Migration[1].press())
  {
    minmigration = 0;
    maxmigration = 0;
  }
  if (Migration[2].press())
  {
    minmigration = 1;
    maxmigration = 1;
  }
  if (Migration[3].press())
  {
    minmigration = 2;
    maxmigration = 2;
  }
  if (Bildung [0].press())
  {
    mineducation=0;
    maxeducation=1000;
  }
  if (Bildung [1].press())
  {
    mineducation=5;
    maxeducation=7;
  }
  if (Bildung [2].press())
  {
    mineducation=3;
    maxeducation=4;
  }
  if (Bildung [3].press())
  {
    mineducation=1;
    maxeducation=2;
  }
  if (Einkommen[0].press())
  {
    minincome=-1;
    maxincome=1000;
  }
  if (Einkommen[1].press())
  {
    minincome=3;
    maxincome=100;
  }
  if (Einkommen[2].press())
  {
    minincome=2;
    maxincome=3;
  }
  if (Einkommen[3].press())
  {
    minincome=1;
    maxincome=2;
  }
  if (Einkommen[4].press())
  {
    minincome=0;
    maxincome=1;
  }
  /*
    if (Sprache[0].press())
  {

  }
   if (Sprache[1].press())
  {
   
  }
*/
  
  viewer.filter(geschlecht,minage,maxage,minmigration,maxmigration,mineducation,maxeducation,minincome,maxincome);
  
  // println("mousePressed: " + mouseButton + " x: " + mouseX + " y: " + mouseY);
  viewer.mousePressed();

}

void mouseDragged() {
  viewer.mouseDragged();
}

void mouseReleased() {
  viewer.mouseReleased();
}

class MouseWheelInput implements MouseWheelListener {
  void mouseWheelMoved(MouseWheelEvent e) {
    int step=e.getWheelRotation();
    if (step == -1) viewer.zoomin();
    if (step == +1) viewer.zoomout();
  }
}


void keyPressed()
{
  if (edit == true)
  {
    if ((key == DELETE) || (key == RETURN) || (key == ENTER) )
    {
      edit = false;
      viewer.renamePoint(typing);
    } else if ((key == BACKSPACE) && (typing.length() > 0))
    {
      typing = typing.substring(0, typing.length() -1 );
    }
    else
    {
      if (key == CODED)
      {
      }
      else
      {
        typing = typing + key;
      }
    }
  }
  
  else
  {
    //-----------------------------------------
    // Buttons Kategorien lesen
    //-----------------------------------------
    
    if (key == '1' )  {

      geschlecht--;
      if (geschlecht < 0) geschlecht = 2;
      if (geschlecht == 1)
      {
        Geschlecht[2].over = true;
        Geschlecht[2].press();
      }
      else if (geschlecht == 2)
      {
        Geschlecht[1].over = true;
        Geschlecht[1].press();
      }
      else
      {
        Geschlecht[geschlecht].over = true;
        Geschlecht[geschlecht].press();
      }
viewer.filter(geschlecht,minage,maxage,minmigration,maxmigration,mineducation,maxeducation,minincome,maxincome);
    }

    if (key == '2' )
    {
      age++;
      if (age > 4) age = 0;

      Alter[age].over = true;
      Alter[age].press();
      
      if (age == 0)
      {
        minage=0;
        maxage=1000;
      }
      if (age == 1)
      {
        minage=0;
        maxage=19;
      }
      if (age == 2)
      {
        minage=20;
        maxage=39;
      }
      if (age == 3)
      {
        minage=40;
        maxage=59;
      }
      if (age == 4)
      {
        minage=60;
        maxage=1000;
      }
      viewer.filter(geschlecht,minage,maxage,minmigration,maxmigration,mineducation,maxeducation,minincome,maxincome);

    }
    if (key == '3' )
    {
      migration++;
      if (migration > 3) migration = 0;

      Migration[migration].over = true;
      Migration[migration].press();

      if (migration == 0)
      {
        minmigration = 0;
        maxmigration = 3;
      }
      if (migration == 1)
      {
        minmigration = 0;
        maxmigration = 0;
      }
      if (migration == 2)
      {
        minmigration = 1;
        maxmigration = 1;
      }
      if (migration == 3)
      {
        minmigration = 2;
        maxmigration = 2;
      }
      viewer.filter(geschlecht,minage,maxage,minmigration,maxmigration,mineducation,maxeducation,minincome,maxincome);
    }
    if (key == '4' )
    {
      education++;
      if (education > 3) education = 0;

      Bildung[education].over = true;
      Bildung[education].press();

      if (education == 0)
      {
        mineducation=0;
        maxeducation=1000;
      }
      if (education == 1)
      {
        mineducation=5;
        maxeducation=7;
      }
      if (education == 2)
      {
        mineducation=3;
        maxeducation=4;
      }
      if (education == 3)
      {
        mineducation=1;
        maxeducation=2;
      }
      viewer.filter(geschlecht,minage,maxage,minmigration,maxmigration,mineducation,maxeducation,minincome,maxincome);
    }
    if (key == '5' )
    {
      income++;
      if (income > 4) income = 0;

      Einkommen[income].over = true;
      Einkommen[income].press();

      if (income == 0)
      {
        minincome=-1;
        maxincome=1000;
      }
      if (income == 1)
      {
        minincome=3;
        maxincome=100;
      }
      if (income == 2)
      {
        minincome=2;
        maxincome=3;
      }
      if (income == 3)
      {
        minincome=1;
        maxincome=2;
      }
      if (income == 4)
      {
        minincome=0;
        maxincome=1;
      }
      viewer.filter(geschlecht,minage,maxage,minmigration,maxmigration,mineducation,maxeducation,minincome,maxincome);
    }

/*
    if (key == 's' )
    {
   //   viewer.writePoints();
   //   viewer.writeLabels();
   //   viewer.writePath();
    }
    if (key == 'm' )
    {
   //   viewer.mergePoints();
    }
    if (key == 'x' )
    {
    //  viewer.splitPoint();
    }
    */
    if (key == 'p' )
    {
      viewer.toggleMap();
    }
/*
    if (key == 'd' )
    {
     viewer.startMove();
    }
   
     if (key == 'e' )
    {
      typing = "";
      edit = true;
    }
    */
    //Virtueller Ort mit timestamp

  if (key == 'i' )  // info
  {
if (info == 1) {
    info=0;
        }
    else  {
      info =1;
    }  
  }
    
  if (key == 'h' )  // help
  {
if (info == 2) {
    info=0;
        }
    else  {
      info =2;
    }  
  }
  
  
   if (key == 'l' )  // sprache
   {
if (sprache >= 1) {
    sprache=0;
        }
    else  {
      sprache ++;
    }  
    println("sprache : " + sprache);
  }
  
    if (key == 'a' )
    {
      viewer.moveX(10);  // 10 Pixel in X Richtung bewegen
    }
    if (key == 'b' )
    {
      viewer.moveX(-10);
    }
    
        if (key == 'd' )
    {
      viewer.moveY(10);  // 10 Pixel in X Richtung bewegen
    }
    if (key == 'e' )
    {
      viewer.moveY(-10);
    }
    
    if (key == 'c' )
    {
      if (viewer.z > 0.2)
      {
        viewer.zoomin2();
      }
      else
      {
        viewer.zoomout2();
        viewer.zoomout2();
        viewer.zoomout2();
        viewer.zoomout2();
        viewer.zoomout2();
      }
    }

  }
 }

/*
//   virtueller ORT
if (virtuell=1) {
       int sec = second();
  int minu = minute();
  int hou = hour();
  // The nf() function spaces the numbers nicely
//String t = (h,2) + ":" + (m,2) + ":" + (s,2);
  //String t = nf(h,2) + ":" + nf(m,2) + ":" + nf(s,2);
//  text(t, 10, 55);
  buf.fill (255,0,0,150);   
  buf.textFont(font5);
  int xt0 = round( (2000 - offsetX) / z);
  int yt0 = round( (1927 - offsetY) / z);
  buf.text((hou + minu + sec), xt0, yt0);
}
*/
